/**
 * Organizer
 * Dies ist eine API, die es ermöglicht Daten zu Stunden-, Vertretungs-, oder Klausurplänen zu erhalten.
 *
 * OpenAPI spec version: 1.0.0
 * Contact: info@jonasfranz.software
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from '../ApiClient';
import Lesson from './Lesson';
import React, {Component} from 'react';
import {ListItem, Left, Body, Text, Right, Container} from 'native-base';




/**
* The ReplacementLesson model module.
* @module model/ReplacementLesson
* @version 1.0.0
*/
export default class ReplacementLesson extends Component {
    /**
    * Constructs a new <code>ReplacementLesson</code>.
    * @alias module:model/ReplacementLesson
    * @class
    */

    constructor() {
        super()
    }

    /**
    * Constructs a <code>ReplacementLesson</code> from a plain JavaScript object, optionally creating a new instance.
    * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
    * @param {Object} data The plain JavaScript object bearing properties of interest.
    * @param {module:model/ReplacementLesson} obj Optional instance to populate.
    * @return {module:model/ReplacementLesson} The populated <code>ReplacementLesson</code> instance.
    */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new ReplacementLesson();

            
            
            

            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'Number');
            }
            if (data.hasOwnProperty('date')) {
                obj['date'] = ApiClient.convertToType(data['date'], 'Date');
            }
            if (data.hasOwnProperty('lesson')) {
                obj['lesson'] = Lesson.constructFromObject(data['lesson']);
            }
            if (data.hasOwnProperty('replacementLesson')) {
                obj['replacementLesson'] = Lesson.constructFromObject(data['replacementLesson']);
            }
        }
        return obj;
    }

    /**
    * @member {Number} id
    */
    id = undefined;
    /**
    * @member {Date} date
    */
    date = undefined;
    /**
    * @member {module:model/Lesson} lesson
    */
    lesson = undefined;
    /**
    * @member {module:model/Lesson} replacementLesson
    */
    replacementLesson = undefined;

    schema = {
        name: "ReplacementLesson",
        properties: {
            id: {type: "int", indexed: true, optional: true},
            date: {type: "date", indexed: true},
            lesson: {type: "Lesson"},
            replacementLesson: {type: "Lesson"}
        }
    }


    render() {
        if (this.replacementLesson === undefined) {
            this.replacementLesson = this.lesson;
        }
        if (this.lesson === undefined) {
            console.log(this);
        }

        return (
            <ListItem icon>
                <Left><Text>{this.lesson.period}.</Text></Left>
                <Body>
                <Text>{this.lesson.subject.name}</Text>
                <Text note>{this.lesson.teacher.name}</Text>
                </Body>
                <Right>
                    <Text>{this.replacementLesson.subject.name}</Text>
                    <Text note>{this.replacementLesson.teacher.name}</Text>
                </Right>
            </ListItem>
        )
    }





}


